Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class AttachmentSizeLimitException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.compoze.util.NestedException
                  com.compoze.domino.DominoException
                      com.compoze.domino.AttachmentSizeLimitException

All Implemented Interfaces:
  java.io.Serializable

public class AttachmentSizeLimitException
extends DominoException
implements java.io.Serializable

This class is an exception that indicates an attachment size limit is exceeded. The attachment size limit is configurable in the Compoze Domino Service.

See Also:
  Serialized Form

Constructor Summary
`AttachmentSizeLimitException()` Constructor.
`AttachmentSizeLimitException(java.lang.Exception e)` Constructor.
`AttachmentSizeLimitException(java.lang.Exception e, java.lang.String sMessage)` Constructor.
`AttachmentSizeLimitException(java.lang.String sMessage)` Constructor.
`AttachmentSizeLimitException(java.lang.String sMessage, long lResultCode)` Constructor.
`AttachmentSizeLimitException(java.lang.Throwable t)` Constructor.
`AttachmentSizeLimitException(java.lang.Throwable t, java.lang.String sMessage)` Constructor.
`AttachmentSizeLimitException(java.lang.Throwable t, java.lang.String sMessage, java.lang.String sUserMessage)` Constructor.

Methods inherited from class com.compoze.domino.DominoException
`getResultCode, getUserMessage`

Methods inherited from class com.compoze.util.NestedException
`getNestedException, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttachmentSizeLimitException

    public AttachmentSizeLimitException()

  Constructor.

### AttachmentSizeLimitException

    public AttachmentSizeLimitException(java.lang.String sMessage)

  Constructor.

Parameters:
  `sMessage` - a detail message for the exception

### AttachmentSizeLimitException

    public AttachmentSizeLimitException(java.lang.Exception e)

  Constructor.

Parameters:
  `e` - the underlying exception

### AttachmentSizeLimitException

    public AttachmentSizeLimitException(java.lang.Exception e,
                                        java.lang.String sMessage)

  Constructor.

Parameters:
  `e` - the underlying exception
  `sMessage` - a detail message for the exception

### AttachmentSizeLimitException

    public AttachmentSizeLimitException(java.lang.Throwable t)

  Constructor.

Parameters:
  `t` - the underlying throwable

### AttachmentSizeLimitException

    public AttachmentSizeLimitException(java.lang.Throwable t,
                                        java.lang.String sMessage)

  Constructor.

Parameters:
  `t` - the underlying throwable
  `sMessage` - a detail message for the exception

### AttachmentSizeLimitException

    public AttachmentSizeLimitException(java.lang.Throwable t,
                                        java.lang.String sMessage,
                                        java.lang.String sUserMessage)

  Constructor.

Parameters:
  `t` - the underlying throwable
  `sMessage` - a detail message for the exception
  `sUserMessage` - a message suitable for display to the user

### AttachmentSizeLimitException

    public AttachmentSizeLimitException(java.lang.String sMessage,
                                        long lResultCode)

  Constructor.

Parameters:
  `sMessage` - a detail message for the exception
  `lResultCode` - the result code

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.